Description

The custom queries are currently sorted, but instead it would be better to use natural sorting so that numbers get ordered correctly,
what | mean by this is that currently this is how Redmine displays custom queries:

e 1. Foo
e 10. Bar
e 2 Car

When using natural ordering, it should appear as:
¢ 1. Foo

e 2. Car
e 10. Bar

History

#1 - 2017-03-20 03:22 - Go MAEDA
- Category set to Ul

#2 - 2018-06-14 07:02 - Hans Kaiser

| would rather prefer to have a configurable sorting for each query
also it would be great to be able to add separators in the list of queries to be able to optically group them

#3 - 2019-02-27 13:25 - Rembert Oldenboom
The natural order doesn't appeal to me, | like as it is. With my custom queries | just start at 10 but one could opt to start at 01 or even 00.
I'd like to see this issue solved another way, by having a sequence-field with all custom queries. The custom queries will then be listed in order of this

sequence field. For those custom queries having the same sequence field, then the current ordering is used (same for queries not having a sequence
field provided).

#4 - 2019-07-18 17:02 - Heiko Béhme

+1
